#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLFilterManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:5`
Module: PIXI

## Constructor

### `WebGLFilterManager`

(

- `gl`
- `transparent`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- `transparent` Boolean

  Whether or not the drawing context should be transparent

- Index
- Methods

## Item Index

### Methods

- applyFilterPass
- begin
- destroy
- initShaderBuffers
- popFilter
- pushFilter
- setContext

## Methods

### `applyFilterPass`

(

- `filter`
- `filterArea`
- `width`
- `height`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:316`

Applies the filter to the specified area

#### Parameters:

- `filter` AbstractFilter

  the filter that needs to be applied

- `filterArea` Texture

  TODO - might need an update

- `width` Number

  the horizontal range of the filter

- `height` Number

  the vertical range of the filter

### `begin`

(

- `renderSession`
- `buffer`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:38`

#### Parameters:

- `renderSession` RenderSession
- `buffer` ArrayBuffer

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:437`

Destroys the filter and removes it from the filter stack

### `initShaderBuffers`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:377`

Initialises the shader buffers

### `popFilter`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:133`

Removes the last filter from the filter stack and doesn't return it

### `pushFilter`

(

- `filterBlock`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:56`

Applies the filter and adds it to the current filter stack

#### Parameters:

- `filterBlock` Object

  the filter that will be pushed to the current filter stack

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:25`

Initialises the context and the properties

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context